Our vintage clips and newsreels are hosted on Google Video. The following is the minimum system requirements to view all clips:

  • Macromedia Flash; Player 7.0+. If you don't have a Flash Player plug-in installed on your computer, you can download it from the Macromedia website.
  • Microsoft Windows 2000 or higher with latest updates installed,
    or Mac OS X 10.3 or higher Firefox 1.1+, Internet Explorer 5.0+, or Safari 1.0+
  • A broadband connection with 500+ Kbps for continuous playback.